Bug 52564 - ifup-wireless doesn't source ifcfg-*
Summary: ifup-wireless doesn't source ifcfg-*
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Public Beta
Classification: Retired
Component: initscripts   
(Show other bugs)
Version: roswell
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Bill Nottingham
QA Contact: Brock Organ
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2001-08-25 06:30 UTC by Istvan Marko
Modified: 2014-03-17 02:22 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-08-25 06:30:14 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Istvan Marko 2001-08-25 06:30:10 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:0.9.2) Gecko/20010809

Description of problem:
/etc/sysconfig/network-scripts/ifup-wireless doesn't source the ifcfg-*
file passed to it by ifup. adding the following line at the beginning gets
it working:

. ${1}

I guess the right way to do this may be along the lines of:

. network-functions
CONFIG=$1
[ -f "${CONFIG}" ] || CONFIG=ifcfg-${1}
source_config



Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.configure a wireless interface with some iwconfig settings (ESSID, KEY)
2./sbin/ifup eth0



Actual Results:  The wireless settings are ignored

Expected Results:  ifup-wireless should set the specified options via iwconfig

Additional info:

Comment 1 Bill Nottingham 2001-08-27 02:14:25 UTC
This was fixed by 6.27-1.


Note You need to log in before you can comment on or make changes to this bug.